using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models.Rydo
{
    public class EndRideRequestDto
    {
        [JsonPropertyName("driver_id")]
        public Guid DriverId { get; set; }

        [JsonPropertyName("direct_to_driver")]
        public bool DirectToDriver { get; set; }

        [JsonPropertyName("fare")]
        public int Fare { get; set; }

        [JsonPropertyName("extra")]
        public int Extra { get; set; }

        [JsonPropertyName("latitude")]
        public double Latitude { get; set; }

        [JsonPropertyName("longitude")]
        public double Longitude { get; set; }

        [JsonPropertyName("source_device_id")]
        public int SourceDeviceId { get; set; }
    }
}
